Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetMapThumbnailFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.File>
it.tdlight.jni.TdApi.GetMapThumbnailFile

Enclosing class:
  TdApi

public static final class TdApi.GetMapThumbnailFile extends TdApi.Function<TdApi.File>
Returns information about a file with a map thumbnail in PNG format. Only map thumbnail files with size less than 1MB can be downloaded.

Returns `File`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of a chat in which the thumbnail will be shown.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`height`
Map height in pixels before applying scale; 16-1024.
`TdApi.Location`
`location`
Location of the map center.
`int`
`scale`
Map scale; 1-3.
`int`
`width`
Map width in pixels before applying scale; 16-1024.
`int`
`zoom`
Map zoom level; 13-20.

## Constructor Summary

Constructors
Constructor
Description
`GetMapThumbnailFile()`
Returns information about a file with a map thumbnail in PNG format.
`GetMapThumbnailFile(TdApi.Location location, int zoom, int width, int height, int scale, long chatId)`
Returns information about a file with a map thumbnail in PNG format.
`GetMapThumbnailFile(DataInput input)`
Returns information about a file with a map thumbnail in PNG format.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public TdApi.Location location
Location of the map center.

### zoom

public int zoom
Map zoom level; 13-20.

### width

public int width
Map width in pixels before applying scale; 16-1024.

### height

public int height
Map height in pixels before applying scale; 16-1024.

### scale

public int scale
Map scale; 1-3.

### chatId

public long chatId
Identifier of a chat in which the thumbnail will be shown. Use 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetMapThumbnailFile

public GetMapThumbnailFile()
Returns information about a file with a map thumbnail in PNG format. Only map thumbnail files with size less than 1MB can be downloaded.

Returns `File`

### GetMapThumbnailFile

public GetMapThumbnailFile(TdApi.Location location, int zoom, int width, int height, int scale, long chatId)
Returns information about a file with a map thumbnail in PNG format. Only map thumbnail files with size less than 1MB can be downloaded.

Returns `File`

Parameters:
  `location` - Location of the map center.
  `zoom` - Map zoom level; 13-20.
  `width` - Map width in pixels before applying scale; 16-1024.
  `height` - Map height in pixels before applying scale; 16-1024.
  `scale` - Map scale; 1-3.
  `chatId` - Identifier of a chat in which the thumbnail will be shown. Use 0 if unknown.

  Returns `File`

### GetMapThumbnailFile

public GetMapThumbnailFile(DataInput input) throws IOException
Returns information about a file with a map thumbnail in PNG format. Only map thumbnail files with size less than 1MB can be downloaded.

Returns `File`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`